A superclass for any events occurring on a particular existing Chat.

### Hierarchy

- ChatEvent
  - ChatMessageEvent
  - ChatNameChangedEvent
  - ChatTopicChangedEvent
  - UserAddedEvent
  - UserJoinedEvent
  - UserLeftEvent
  - UserRemovedEvent

### Implements

- IChatEvent

## Index

### Properties

- chatId
- eventNumber
- name
- timestamp
- user

## Properties

### chatId

chatId: string

Implementation of IChatEvent.chatId

The ID of the Chat on which this event occurred

### eventNumber

eventNumber: number

This event's unique sequential number. This can be useful when e.g. querying for events on a particular chat (Chat.getHistory).

### Abstractname

name: string

Implementation of IChatEvent.name

### timestamp

timestamp: Date

The timestamp when the event occurred

### user

user: DomainUser

The user associated wth the event